<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cart',

    /*
     * Package.
     */
    'package'   => 'call',

    /*
     * Modules.
     */
    'modules'   => ['calls'],

    
    'calls'       => [
        'model' => [
            'model'                 => \Cart\Call\Models\Calls::class,
            'table'                 => 'calls',
            'presenter'             => \Cart\Call\Repositories\Presenter\CallsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'order_id',  'restaurant_id',  'call_count',  'datetime',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'call/calls',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cart',
            'package'   => 'Call',
            'module'    => 'Calls',
        ],

    ],
];
