Lavalite package that provides call management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `cart/call`.

    "cart/call": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Cart\Call\Providers\CallServiceProvider::class,

And also add it to alias

    'Call'  => Cart\Call\Facades\Call::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Cart\\CallTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Cart\Call\Providers\CallServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Cart\Call\Providers\CallServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Cart\Call\Providers\CallServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/call/{modulename}

**User**

    http://path-to-route-folder/user/call/{modulename}

**Public**

    http://path-to-route-folder/calls


### API endpoints

**List**

    http://path-to-route-folder/api/user/call/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/call/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/call/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/call/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/call/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/call/{modulename}/{slug}
    METHOD: GET