<?php

namespace Cart\Call;

use User;

class Call
{
    /**
     * $calls object.
     */
    protected $calls;

    /**
     * Constructor.
     */
    public function __construct(\Cart\Call\Interfaces\CallsRepositoryInterface $calls)
    {
        $this->calls = $calls;
    }

    /**
     * Returns count of call.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.calls.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->calls->pushCriteria(new \Litepie\Cart\Repositories\Criteria\CallsUserCriteria());
        }

        $calls = $this->calls->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('call::' . $view, compact('calls'))->render();
    }
}
