<?php

namespace Cart\Call\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CallsTransformer extends TransformerAbstract
{
    public function transform(\Cart\Call\Models\Calls $calls)
    {
        return [
            'id'                => $calls->getRouteKey(),
            'key'               => [
                'public'    => $calls->getPublicKey(),
                'route'     => $calls->getRouteKey(),
            ], 
            'order_id'          => $calls->order_id,
            'restaurant_id'     => $calls->restaurant_id,
            'call_count'        => $calls->call_count,
            'datetime'          => $calls->datetime,
            'deleted_at'        => $calls->deleted_at,
            'url'               => [
                'public'    => trans_url('call/'.$calls->getPublicKey()),
                'user'      => guard_url('call/calls/'.$calls->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calls->status),
            'created_at'        => format_date($calls->created_at),
            'updated_at'        => format_date($calls->updated_at),
        ];
    }
}